package com.infosys.propertyeditor;

import java.awt.Color;
import java.awt.Font;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import javax.swing.BorderFactory;
import javax.swing.JComboBox;
import javax.swing.JLabel;

public class EditorComboBox extends JComboBox implements ItemListener {
    
    Parameter p;
    JLabel j;
    
    public EditorComboBox(ParameterSymbol p, Font f) {
        super(p.getAllowedValues());
        
        this.p = p;
        
        setBackground(Color.white);
        
        setFont(f);
        setBorder(BorderFactory.createEmptyBorder());
        
        setSelectedItem(p.toString());
        
        
        addItemListener(this);
    }
    
    public void itemStateChanged(ItemEvent e) {
        if(p.getValue().compareTo(getSelectedItem().toString()) != 0) {
            p.setValue(getSelectedItem().toString());
            PropEditor.eFile.setModified(true);
        }
    }
    
}