package com.infosys.propertyeditor;


import java.awt.event.ActionEvent;
import java.awt.event.ItemEvent;

import javax.swing.JComponent;
import javax.swing.JFileChooser;
import javax.swing.JTable;
import javax.swing.event.CaretEvent;

import com.infosys.propertyeditor.ui.formattedtable.FormattedComboBox;
import com.infosys.propertyeditor.ui.formattedtable.FormattedFileChooser;
import com.infosys.propertyeditor.ui.formattedtable.FormattedLabel;
import com.infosys.propertyeditor.ui.formattedtable.FormattedTableEditor;
import com.infosys.propertyeditor.ui.formattedtable.FormattedTextField;

public class EditorTableCellEditor extends FormattedTableEditor {

	private Object cellValue = null;

	private JComponent o = null;

	public JComponent createComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {

		cellValue = value;

		if (cellValue instanceof ParameterString) {
			o = new FormattedTextField(cellValue) {

				public void caretUpdate(CaretEvent e, FormattedTextField textField) {
					((ParameterString) cellValue).setValue(textField.getText());
					PropEditor.eFile.setModified(true);
				}
			};

		}
		else if (cellValue instanceof ParameterJDBCDriver) {

			o = new FormattedComboBox(cellValue, ((ParameterJDBCDriver) cellValue)
					.getAllowedValues(), value.toString()) {

				public void itemStateChanged(ItemEvent e) {
					((ParameterJDBCDriver) cellValue).setValue(getSelectedItem()
							.toString());
					PropEditor.eFile.setModified(true);
				}
			};
		}
		else if (cellValue instanceof ParameterSymbol) {
			o = new FormattedComboBox(cellValue, ((ParameterSymbol) cellValue)
					.getAllowedValues(), value.toString()) {

				public void itemStateChanged(ItemEvent e) {
					((ParameterSymbol) cellValue).setValue(getSelectedItem()
							.toString());
					PropEditor.eFile.setModified(true);
				}
			};

		} else if (cellValue instanceof ParameterFile) {
			o = new FormattedFileChooser(cellValue, ((ParameterFile) cellValue)
					.getFType(), table.getColumnModel().getColumn(column)
					.getWidth(), false) {

				public void inputVerifier(FormattedLabel label) {
				}

				public void caretUpdate(CaretEvent e, FormattedTextField textField) {
					((ParameterFile) cellValue).setValue(textField.getText());
					PropEditor.eFile.setModified(true);

				}

				public void fileChooserAction(ActionEvent e,
						FormattedFileChooser formattedFileChooser) {

					JFileChooser fc = formattedFileChooser
							.getFileChooserDialog();
					if (fc == null) {
						formattedFileChooser.update();
						return;
					}

					((ParameterFile) cellValue).setValue(fc.getSelectedFile()
							.getPath());
					formattedFileChooser.update();
				}
			};
		}

		return o;
	}

}