package com.infosys.propertyeditor;

public class Parameter {
    
    protected String name;
	protected String value;
	protected String type = "WRONG TYPE";
	protected String comments = "";
	protected boolean editable;
	protected String doc = "";
     
    public Parameter(String name, String value, boolean editable, String doc) {
        this.name     = name;
        this.value    = value;
        this.editable = editable;
        this.doc      = doc;
    }
    
    public Parameter(String name, String value, boolean editable, String doc, String type) {
        this(name, value, editable, doc);
        this.type = type;
    }
    
    public boolean isEditable(){
        return editable;
    }
    
	public String getDoc(){
		return doc;
	}

    public String getName(){
        return name;
    }
    
    public String getType(){
        return type;
    }
    
    public void setValue(String value) {
        this.value = value;
    }
    
    public void setComments(String comments){
    	this.comments = comments;
    }
    
    public String getValue(){
        return value;
    }
    
    public String toString() {
        return value;
    }
    
    public String toTextType(){
		String newLine = System.getProperty("line.separator");
        return comments + "#PARAMETER TYPE = " + type + newLine + 
			"#EDITABLE = " + editable + newLine + "#DOCUMENTATION = " + doc;
    }
    
    public String toTextValue(){
        return name + " = " + value;
    }
    
    public String toText(){
		String newLine = System.getProperty("line.separator");
        return toTextType() + newLine + toTextValue();
    }
}
