package com.infosys.propertyeditor.ui.formattedtable;

import javax.swing.BorderFactory;
import javax.swing.JTextField;
import javax.swing.event.CaretEvent;
import javax.swing.event.CaretListener;

public abstract class FormattedTextField extends JTextField implements
		CaretListener, FormattedTextInterface {

	Object o;

	public FormattedTextField(Object o) {
		super(o.toString());
		this.o = o;
		setBorder(BorderFactory.createEmptyBorder(1, 2, 0, 2));
		addCaretListener(this);
	}

	public Object getObject() {
		return o;
	}

	public void setText(String text) {
		super.setText(text.trim());
	}

	public void caretUpdate(CaretEvent e) {
		if (o.toString().compareTo(getText()) != 0)
			caretUpdate(e, this);
	}

}

interface FormattedTextInterface {
	public void caretUpdate(CaretEvent e, FormattedTextField textField);
}